{% load i18n %}

<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>Ironbar v2</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        
        <!-- Loading Bootstrap -->
        <link href="/static/bootstrap/css/bootstrap.css" rel="stylesheet">
        
        <!-- Loading Flat UI -->    
        <link href="/static/css/flat-ui.css" rel="stylesheet">
        <link href="/static/css/demo.css" rel="stylesheet">
        <link href="/static/estilo.css" rel="stylesheet">
        <link href="/static/sticky-footer.css" rel="stylesheet">
        
        <link rel="shortcut icon" href="/static/images/favicon.ico">
        
        <!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
        <!--[if lt IE 9]>
          <script src="/static/js/html5shiv.js"></script>
          <script src="/static/js/respond.min.js"></script>
        <![endif]-->
    </head>

    <!-- <body style="background-color:#3498DB;" -->
    <body>
    	<div id="wrap">
        	<div class="col-md-12">
                <nav class="navbar navbar-inverse" role="navigation">
                  <div class="navbar-header">
                    <a class="navbar-brand" href="/">Ironbar v2</a>
                  </div>
                  
                  <div class="collapse navbar-collapse" id="navbar-collapse-01">
                  	{%if user.is_authenticated%}
                    <ul class="nav navbar-nav">
                      <li {%ifequal dir "sell"%}class="active"{%endifequal%}><a href="{% url 'sell' %}">{% blocktrans %}Sell{% endblocktrans %}</a></li>
                      <li {%ifequal dir "sales"%}class="active"{%endifequal%}><a href="{% url 'sales' %}">{% blocktrans %}Sales{% endblocktrans %}</a></li>
                      <li {%ifequal dir "orders"%}class="active"{%endifequal%}><a href="{% url 'orders' %}">{% blocktrans %}Orders{% endblocktrans %}
                        {% ifequal pedidos_pendientes 0 %}
                        {% else %}
                        <span class="navbar-new">{{pedidos_pendientes}}</span>
                        {% endifequal %}
                      </a></li>
                      <li {%ifequal dir "products"%}class="active"{%endifequal%}><a href="{% url 'products' %}">{% blocktrans %}Products{% endblocktrans %}</a></li>
                      <li {%ifequal dir "liabilities"%}class="active"{%endifequal%}><a href="{% url 'liabilities' %}">{% blocktrans %}Liabilities{% endblocktrans %}</a></li>
                      <li {%ifequal dir "billing"%}class="active"{%endifequal%}><a href="{% url 'billing' %}">{% blocktrans %}Billing{% endblocktrans %}</a></li>
                    </ul> 		
                    {% endif %}
                    <ul class="nav navbar-nav navbar-right">
                    	{%if user.is_authenticated%}
                            <li><a>{{usuario_gastado}} €</a></li>
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">{{user.nombre}}<b class="caret"></b></a>
                                <span class="dropdown-arrow"></span>
                                <ul class="dropdown-menu">
                                  <li><a href="{% url 'profile' %}">{% blocktrans %}Profile{% endblocktrans %}</a></li>
                                  <li><a href="{% url 'expenses' %}">{% blocktrans %}Expenses{% endblocktrans %}</a></li>
                                  <li class="divider"></li>
                                  <li><a data-toggle="modal" data-target="#ModalLogout" href="#">{% blocktrans %}Logout{% endblocktrans %}</a></li>
                                </ul>
                            </li>
                        {%endif%}
                        <li><a href="{% url 'administration' %}"><span class="visible-sm visible-xs">{% blocktrans %}Settings{% endblocktrans %}<span class="fui-gear"></span></span><span class="visible-md visible-lg"><span class="fui-gear"></span></span></a></li>
                    </ul>
                  </div><!-- /.navbar-collapse -->
                </nav><!-- /navbar -->
                </nav>
            
                <div class="container">

                	{% block contenido %}{% endblock %}
   
                </div>
        	</div>
      </div>

      <div id="footer">
        <div class="navbar">
          <div class="col-md-12">
            <div class="bottom-menu bottom-menu-inverse">
              <div class="container">
                <div class="row">
                  <div class="col-md-7">
                    <ul class="bottom-links">
                      <li><a href="#fakelink">{% blocktrans %}About Me{% endblocktrans %}</a></li>
                    </ul>
                  </div>
                  
                  <div class="col-md-3">
                    <ul class="bottom-links">
                      <li>© Rubén Fernández Lago</li>
                    </ul>
                  </div>
              
                  <div class="col-md-2">
                    <ul class="bottom-icons">
                      <li><a href="https://twitter.com/leegaara" class="fui-twitter"></a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
        
        <!-- Modal Logout -->
        <div class="modal fade" id="ModalLogout" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Logout{% endblocktrans %}</h4>
              </div>
              <div class="modal-body">
                <p>{% blocktrans %}Do you want logout?{% endblocktrans %}</p>
              </div>
              <div class="modal-footer">
              	<form method="get">{% csrf_token %}
                    <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}No{% endblocktrans %}</button>
                    <button type="submit" class="btn btn-primary" name="logout_button">{% blocktrans %}Yes{% endblocktrans %}</button>
                </form>
              </div>
            </div>
          </div>
        </div>
        
        <!-- Modal Buscar Usuario -->
        <form name="form_find_user" id="form_find_user" method="POST">{% csrf_token %}
          <div class="modal fade" id="ModalSearchUser" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped">
                      <tbody><tr>
                        <th>{% blocktrans %}Select{% endblocktrans %}</th>
                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                      </tr>
                      {% for usuario in lista_usuarios %}
                        <tr>
                          <td>
                            <span
                              class="glyphicon glyphicon-hand-right"
                              name="group_assign_selectuser"
                              onclick="
                                {% for grupo in lista_grupos %}
                                  unselect_radius('group_radio_label_{{grupo.nombre}}','group_radio_{{grupo.nombre}}');
                                {% endfor %}

                                clean_div('div_form_find_user_name_temp');
                                clean_div('div_form_find_user_email_temp');
                                group_select_user('{{usuario.nombre}} {{usuario.apellidos}}','div_form_find_user_name_temp');
                                group_select_user('{{usuario.email}}','div_form_find_user_email_temp');
                                var_to_var('{{usuario.email}}','group_assign_email_temp');
                                {% if usuario.grupo %}
                                  select_radius('group_radio_label_{{usuario.grupo.nombre}}','group_radio_{{usuario.grupo.nombre}}');
                                {% else %}
                                  select_radius('group_radio_label_None','group_radio_None');
                                {% endif %}
                              "
                              data-dismiss="modal"
                              >
                            </span>
                          </td>
                          <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                          <td>{{usuario.email}}</td>
                        </tr>
                      {% endfor %}
                    </tbody></table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
                </div>
              </div>
            </div>
          </div>
        </form>

        <!-- Modal Buscar Usuario para Borrar -->
        <form name="form_find_user2" id="form_find_user2" method="POST">{% csrf_token %}
          <div class="modal fade" id="ModalSearchUserForDelete" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped">
                      <tbody><tr>
                        <th>{% blocktrans %}Select{% endblocktrans %}</th>
                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                      </tr>
                      {% for usuario in lista_usuarios %}
                        <tr>
                          <td>
                            <span
                              class="glyphicon glyphicon-hand-right"
                              name="group_assign_selectuser"
                              onclick="
                                var_to_var('{{usuario.email}}','user_delete_email_temp');
                                var_to_text('{{usuario.nombre}} {{usuario.apellidos}}', 'user_delete_name_div_text');
                                var_to_text('{{usuario.email}}', 'user_delete_email_div_text');
                              "
                              data-dismiss="modal"
                              >
                            </span>
                          </td>
                          <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                          <td>{{usuario.email}}</td>
                        </tr>
                      {% endfor %}
                    </tbody></table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
                </div>
              </div>
            </div>
          </div>
        </form>
        
        <!-- Modal Buscar Usuario para asignar permiso -->
        <form name="form_find_user3" id="form_find_user3" method="POST">{% csrf_token %}
          <div class="modal fade" id="ModalSearchUserForAssign" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped">
                      <tbody><tr>
                        <th>{% blocktrans %}Select{% endblocktrans %}</th>
                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                      </tr>
                      {% for usuario, permisos in lista_usuarios_permisos %}
                        <tr>
                          <td>
                            <span
                              class="glyphicon glyphicon-hand-right"
                              name="group_assign_selectuser"
                              onclick="
                                uncheck_class('permission_checkbox_Permission_label');
                                {% for permiso in lista_permisos %}
                                  uncheck_class('permission_checkbox_{{permiso.nombre}}_label');
                                  unselect_row_class('permission_checkbox_{{permiso.nombre}}_tr');
                                  check_out_box('permission_checkbox_{{permiso.nombre}}');
                                {% endfor %}
                                clean_div('permission_assign_user_name_div_text');
                                clean_div('permission_assign_user_email_div_text');

                                var_to_var('{{usuario.email}}','permission_assign_user_email_div_text_temp');
                                var_to_text('{{usuario.nombre}} {{usuario.apellidos}}', 'permission_assign_user_name_div_text');
                                var_to_text('{{usuario.email}}', 'permission_assign_user_email_div_text');

                                {% for permiso in permisos %}
                                  add_class('permission_checkbox_{{permiso.nombre}}_label', 'checked');
                                  add_class('permission_checkbox_{{permiso.nombre}}_tr', 'selected-row');
                                  check_in_box('permission_checkbox_{{permiso.nombre}}');
                                {% endfor %}
                              "
                              data-dismiss="modal"
                              >
                            </span>
                          </td>
                          <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                          <td>{{usuario.email}}</td>
                        </tr>
                      {% endfor %}
                    </tbody></table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
                </div>
              </div>
            </div>
          </div>
        </form>

        <!-- Modal Buscar Usuario para editarlo -->
        <form name="form_find_user_for_edit" id="form_find_user_for_edit" method="POST">{% csrf_token %}
          <div class="modal fade" id="ModalSearchUserForEdit" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped">
                      <tbody><tr>
                        <th>{% blocktrans %}Select{% endblocktrans %}</th>
                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                      </tr>
                      {% for usuario in lista_usuarios %}
                        <tr>
                          <td>
                            <span
                              class="glyphicon glyphicon-hand-right"
                              name="group_assign_selectuser"
                              onclick="
                                var_to_var('{{usuario.nombre}}', 'user_edit_name');
                                var_to_var('{{usuario.apellidos}}', 'user_edit_surname');
                                var_to_var('{{usuario.dni}}', 'user_edit_dni');
                                var_to_var('{{usuario.email}}', 'user_edit_email');
                                var_to_var('{{usuario.email}}','user_edit_email_temp');
                                enable_element('user_edit_name');
                                enable_element('user_edit_surname');
                                enable_element('user_edit_dni');
                                enable_element('user_edit_email');
                                enable_element('user_edit_password');
                                enable_element('user_edit_update');
                              "
                              data-dismiss="modal"
                            >
                            </span>
                          </td>
                          <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                          <td>{{usuario.email}}</td>
                        </tr>
                      {% endfor %}
                    </tbody></table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
                </div>
              </div>
            </div>
          </div>
        </form>

        <!-- Modal Buscar Usuario para cobrar -->
          <div class="modal fade" id="ModalSearchUserForCharge" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                  <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find User{% endblocktrans %}</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped">
                      <tbody><tr>
                        <th>{% blocktrans %}Select{% endblocktrans %}</th>
                        <th>{% blocktrans %}Name{% endblocktrans %}</th>
                        <th>{% blocktrans %}Email{% endblocktrans %}</th>
                      </tr>
                      {% for usuario in lista_usuarios %}
                        <tr>
                          <td>
                            <span
                              class="glyphicon glyphicon-hand-right"
                              name="group_assign_selectuser"
                              onclick="
                                var_to_var('{{usuario.email}}','liabilities_load_user_temp');
                                submitform('liabilities_load_user_form');
                              "
                              data-dismiss="modal"
                              >
                            </span>
                          </td>
                          <td>{{usuario.nombre}} {{usuario.apellidos}}</td>
                          <td>{{usuario.email}}</td>
                        </tr>
                      {% endfor %}
                      <form id="liabilities_load_user_form" method="POST"> {% csrf_token %}
                        <input id="liabilities_load_user_temp" name="liabilities_load_user_temp" style="display:none;">
                      </form>
                    </tbody></table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
                </div>
              </div>
            </div>
          </div>

        <!-- Modal Buscar Grupo -->
        <form method="POST">{% csrf_token %}
        <div class="modal fade" id="ModalSearchGroup" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find Group{% endblocktrans %}</h4>
              </div>
              <div class="modal-body">
                  <table class="table table-striped">
                    <tbody><tr>
                      <th>{% blocktrans %}Select{% endblocktrans %}</th>
                      <th>{% blocktrans %}Name{% endblocktrans %}</th>
                    </tr>
                    {% for grupo in lista_grupos %}
                      <tr>
                        <td>
                          <span class="glyphicon glyphicon-hand-right"
                                onclick="
                                  var_to_var('{{grupo.nombre}}','edit_name');
                                  var_to_var('{{grupo.descripcion}}','edit_description');
                                  enable_element('group_edit_update');
                                  enable_element('group_edit_clean');
                                  show('group_edit_big_div');

                                  var_to_var('{{grupo.nombre}}','group_delete_name_temp');
                                  var_to_text('{{grupo.nombre}}', 'group_delete_name_div_text');
                                  var_to_text('{{grupo.descripcion}}', 'group_delete_description_div_text');
                                  var_to_var('{{grupo.nombre}}','group_edit_name_temp');
                                "
                                data-dismiss="modal"
                                >
                          </span>
                        </td>
                        <td>{{grupo.nombre}}</td>
                      </tr>
                    {% endfor %}
                  </tbody></table>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
              </div>
            </div>
          </div>
        </div>
        </form>

        <!-- Modal Buscar Grupo En asignar grupos-->
        <form method="POST">{% csrf_token %}
        <div class="modal fade" id="ModalSearchGroupInAssign" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Find Group{% endblocktrans %}</h4>
              </div>
              <div class="modal-body">
                  <table class="table table-striped">
                    <tbody><tr>
                      <th>{% blocktrans %}Select{% endblocktrans %}</th>
                      <th>{% blocktrans %}Name{% endblocktrans %}</th>
                    </tr>
                    {% for grupo, permisos in lista_grupos_permisos %}
                      <tr>
                        <td>
                          <span class="glyphicon glyphicon-hand-right"
                                onclick="
                                  uncheck_class('permission_group_checkbox_Permission_label');
                                  {% for permiso in lista_permisos %}
                                    uncheck_class('permission_group_checkbox_{{permiso.nombre}}_label');
                                    unselect_row_class('permission_group_checkbox_{{permiso.nombre}}_tr');
                                    check_out_box('permission_group_checkbox_{{permiso.nombre}}');
                                  {% endfor %}
                                  clean_div('permission_assign_group_name_div_text');

                                  var_to_var('{{grupo.nombre}}','permission_assign_group_name_div_text_temp');
                                  var_to_text('{{grupo.nombre}}', 'permission_assign_group_name_div_text');

                                  {% for permiso in permisos %}
                                    add_class('permission_group_checkbox_{{permiso.nombre}}_label', 'checked');
                                    add_class('permission_group_checkbox_{{permiso.nombre}}_tr', 'selected-row');
                                    check_in_box('permission_group_checkbox_{{permiso.nombre}}');
                                  {% endfor %}
                                "
                                data-dismiss="modal"
                                >
                          </span>
                        </td>
                        <td>{{grupo.nombre}}</td>
                      </tr>
                    {% endfor %}
                  </tbody></table>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
              </div>
            </div>
          </div>
        </div>
        </form>

        <!-- Modal Buscar Productos-->
        <div class="modal fade" id="ModalSearchProducts" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Products filter{% endblocktrans %}</h4>
              </div>
              <form method="post"> {% csrf_token %}
                <div class="modal-body">
                  <small>{% blocktrans %}Barcode{% endblocktrans %}:</small>
                  <input type="text" value="" placeholder="{% blocktrans %}Type barcode for search{% endblocktrans %}"class="form-control" name="products_filter_search_barcode" autocomplete="off">
                  <small>{% blocktrans %}Name of product{% endblocktrans %}:</small>
                  <input type="text" value="" placeholder="{% blocktrans %}Type product for search{% endblocktrans %}"class="form-control" name="products_filter_search_name" autocomplete="off">
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Clean{% endblocktrans %}</button>
                  <button type="submit" class="btn btn-primary" name="products_filter_search">{% blocktrans %}Search{% endblocktrans %}</button>
                </div>
              </form>
            </div>
          </div>
        </div>

        <!-- Load JS here for greater good =============================-->
        <script src="/static/js/jquery-1.8.3.min.js"></script>
        <script src="/static/js/jquery-ui-1.10.3.custom.min.js"></script>
        <script src="/static/js/jquery.ui.touch-punch.min.js"></script>
        <script src="/static/js/bootstrap.min.js"></script>
        <script src="/static/js/bootstrap-select.js"></script>
        <script src="/static/js/bootstrap-switch.js"></script>
        <script src="/static/js/flatui-checkbox.js"></script>
        <script src="/static/js/flatui-radio.js"></script>
        <script src="/static/js/holder.js"></script>
        <script src="/static/js/flatui-fileinput.js"></script>
        <script src="/static/js/jquery.tagsinput.js"></script>
        <script src="/static/js/jquery.placeholder.js"></script>
        <script src="/static/js/typeahead.js"></script>
        <script src="/static/js/application.js"></script>

        <script src="/static/js/funciones.js"></script>

        {% block js %}
        {% endblock %}
	</body>
</html>